<?php

	$charity_aid_pix_theme_css = "";


	// site title and tagline font size option
	$charity_aid_site_title_font_size = get_theme_mod('charity_aid_site_title_font_size', 25);{
		$charity_aid_pix_theme_css .='h1.site-title a {';
	$charity_aid_pix_theme_css .='font-size: '.esc_attr($charity_aid_site_title_font_size).'px;!important';
		$charity_aid_pix_theme_css .='}';
	}

	// site title and tagline font size option
	$charity_aid_site_tagline_font_size = get_theme_mod('charity_aid_site_tagline_font_size', 15);{
		$charity_aid_pix_theme_css .='p.site-description {';
	$charity_aid_pix_theme_css .='font-size: '.esc_attr($charity_aid_site_tagline_font_size).'px;!important';
		$charity_aid_pix_theme_css .='}';
	}

	//Font Weight
	$charity_aid_menu_font_weight = get_theme_mod( 'charity_aid_menu_font_weight','');
	if($charity_aid_menu_font_weight == '100'){
	$charity_aid_pix_theme_css .='.nav_menu li a {';
		$charity_aid_pix_theme_css .='font-weight: 100;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_menu_font_weight == '200'){
	$charity_aid_pix_theme_css .='.nav_menu li a {';
		$charity_aid_pix_theme_css .='font-weight: 200;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_menu_font_weight == '300'){
	$charity_aid_pix_theme_css .='.nav_menu li a {';
		$charity_aid_pix_theme_css .='font-weight: 300;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_menu_font_weight == '400'){
	$charity_aid_pix_theme_css .='.nav_menu li a {';
		$charity_aid_pix_theme_css .='font-weight: 400;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_menu_font_weight == '500'){
	$charity_aid_pix_theme_css .='.nav_menu li a {';
		$charity_aid_pix_theme_css .='font-weight: 500;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_menu_font_weight == '600'){
	$charity_aid_pix_theme_css .='.nav_menu li a {';
		$charity_aid_pix_theme_css .='font-weight: 600;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_menu_font_weight == '700'){
	$charity_aid_pix_theme_css .='.nav_menu li a {';
		$charity_aid_pix_theme_css .='font-weight: 700;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_menu_font_weight == '800'){
	$charity_aid_pix_theme_css .='.nav_menu li a {';
		$charity_aid_pix_theme_css .='font-weight: 800;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_menu_font_weight == '900'){
	$charity_aid_pix_theme_css .='.nav_menu li a {';
		$charity_aid_pix_theme_css .='font-weight: 900;';
	$charity_aid_pix_theme_css .='}';
	}

	// menu text transform
	$charity_aid_menu_text_tranform = get_theme_mod( 'charity_aid_menu_text_tranform','Uppercase');
	if($charity_aid_menu_text_tranform == 'Uppercase'){
	$charity_aid_pix_theme_css .='.nav_menu li a  {';
		$charity_aid_pix_theme_css .='text-transform: uppercase;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_menu_text_tranform == 'Lowercase'){
	$charity_aid_pix_theme_css .='.nav_menu li a  {';
		$charity_aid_pix_theme_css .='text-transform: lowercase;';
	$charity_aid_pix_theme_css .='}';
	}
	else if($charity_aid_menu_text_tranform == 'Capitalize'){
	$charity_aid_pix_theme_css .='.nav_menu li a  {';
		$charity_aid_pix_theme_css .='text-transform: capitalize;';
	$charity_aid_pix_theme_css .='}';
	}

	//menu font size
	$charity_aid_menu_font_size = get_theme_mod('charity_aid_menu_font_size', 14);{
	$charity_aid_pix_theme_css .='.nav_menu li a ,.main-navigation li.page_item_has_children:after, .main-navigation li.menu-item-has-children:after{';
		$charity_aid_pix_theme_css .='font-size: '.esc_attr($charity_aid_menu_font_size).'px;';
	$charity_aid_pix_theme_css .='}';
	}

	//Add Settings and Controls for Copyright
	$charity_aid_copyright_text_position = get_theme_mod( 'charity_aid_copyright_text_position','Center');
	if($charity_aid_copyright_text_position == 'Right'){
	$charity_aid_pix_theme_css .='.bottom-footer{';
	    $charity_aid_pix_theme_css .='text-align: right;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_copyright_text_position == 'Left'){
	$charity_aid_pix_theme_css .='.bottom-footer{';
	    $charity_aid_pix_theme_css .='text-align: left;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_copyright_text_position == 'Center'){
	$charity_aid_pix_theme_css .='.bottom-footer{';
	    $charity_aid_pix_theme_css .='text-align: center;';
	$charity_aid_pix_theme_css .='}';
	}

	//Add Settings and Controls for Footer Widget
	$charity_aid_footer_widget_text_position = get_theme_mod( 'charity_aid_footer_widget_text_position','Left');
	if($charity_aid_footer_widget_text_position == 'Right'){
	$charity_aid_pix_theme_css .='.site-footer .footer-widget-wrap .footer-widget-item{';
	    $charity_aid_pix_theme_css .='text-align: right;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_footer_widget_text_position == 'Left'){
	$charity_aid_pix_theme_css .='.site-footer .footer-widget-wrap .footer-widget-item{';
	    $charity_aid_pix_theme_css .='text-align: left;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_footer_widget_text_position == 'Center'){
	$charity_aid_pix_theme_css .='.site-footer .footer-widget-wrap .footer-widget-item{';
	    $charity_aid_pix_theme_css .='text-align: center;';
	$charity_aid_pix_theme_css .='}';
	}

    //Add Settings and Controls for Scroll top
	$charity_aid_scroll_top_position = get_theme_mod( 'charity_aid_scroll_top_position','Right');
	if($charity_aid_scroll_top_position == 'Right'){
	$charity_aid_pix_theme_css .='#return-to-top{';
	    $charity_aid_pix_theme_css .='right: 20px;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_scroll_top_position == 'Left'){
	$charity_aid_pix_theme_css .='#return-to-top{';
	    $charity_aid_pix_theme_css .='left: 20px;';
	$charity_aid_pix_theme_css .='}';
	}else if($charity_aid_scroll_top_position == 'Center'){
	$charity_aid_pix_theme_css .='#return-to-top{';
	    $charity_aid_pix_theme_css .='right: 50%;left: 50%;';
	$charity_aid_pix_theme_css .='}';
	}



	// footer widget option 


	$charity_aid_footer_widget_background_color = get_theme_mod('charity_aid_footer_widget_background_color');
	if ($charity_aid_footer_widget_background_color) {
		$charity_aid_pix_theme_css .= "
			.top-footer {
				background-color: ". esc_attr($charity_aid_footer_widget_background_color) .";
			}
		";
	}

	$charity_aid_footer_copyright_background_color = get_theme_mod('charity_aid_footer_copyright_background_color');
	if ($charity_aid_footer_copyright_background_color) {
		$charity_aid_pix_theme_css .= "
			.bottom-footer {
				background-color: ". esc_attr($charity_aid_footer_copyright_background_color) .";
			}
		";
	}

	$charity_aid_footer_widget_background_image = get_theme_mod('charity_aid_footer_widget_background_image');
	if ($charity_aid_footer_widget_background_image) {
		$charity_aid_pix_theme_css .= "
			.top-footer {
				background-image: url(" . esc_url($charity_aid_footer_widget_background_image) . ");
			}
		";
	}